function Elgoh_Info()
	Elgoh_Print("Welcome to the LGoH addon!");
	local elgohcommands = {"Standard Commands:",
							"Er, well it's kind of a background addon but if you want some commands...",
							"/elgoh clean - Cleans the guild of inactive members and prunes the database",
							"that's about it really"};	
	for i=1, #elgohcommands, 1 do
		Elgoh_Print(elgohcommands[i]);
	end
end

SLASH_ELGOH1, SLASH_ELGOH2 = "/elgoh", "/lgoh";
SlashCmdList["ELGOH"] = function(msg, editBox)
	msg = string.lower(msg);
	if(string.find(msg, "post to")) then
		ElgohChannel=string.sub(msg, 9);
		Elgoh_Print("Output set to "..channel);
    elseif(msg=="clean") then
		if (Elgoh_Officer()) then Elgoh_Rottgut(); end
		EDB_Prune();
	elseif(msg=="info" or msg=="help" or msg=="about") then
		Elgoh_Info()
	elseif(msg=="audit" or msg=="check") then
		Elgoh_CheckGear();
	elseif(msg=="options" or msg=="config") then
		InterfaceOptionsFrame_OpenToCategory("Elgoh");
	elseif(msg=="dkp") then
		if(showValues==1) then 
			showValues=0;
		else
			showValues=1;
		end
	elseif(msg=="auto") then
		Elgoh_AutoRaid();
	elseif(msg=="request sync") then
		SendAddonMessage("EDB", "request sync", "GUILD");
	else
		if(Elgoh_Officer()) then 
			frmOfficer:Show(); 
		end
    end
end

function Elgoh_DKPWhisper(who)
	if (ELGOHDB[who]) then
		SendChatMessage("Detailed Results for "..who..":", "WHISPER", nil, who);
		SendChatMessage("Priority: "..ELGOHDB[who]["current"], "WHISPER", nil, who);
		SendChatMessage("EP: "..ELGOHDB[who]["earned"], "WHISPER", nil, who);
		SendChatMessage("GP: "..ELGOHDB[who]["spent"], "WHISPER", nil, who);
	else
		SendChatMessage("No DKP exists for "..who, "WHISPER", nil, who);
	end		
end

function Elgoh_Officer()
	_, guildRankName = GetGuildInfo("player");
	if(ElgohRankList[guildRankName] and ElgohRankList[guildRankName]["officer"]==1) then 
		return true; 
	else 
		Elgoh_Print("You must be an officer to do that"); 
		return false;
	end
end

SLASH_ANOO1 = "/anoo"
SlashCmdList["ANOO"] = function(msg, editBox)
	msg = strlower(msg);
	if(msg=="version") then
		SendAddonMessage("anoo", "version", "GUILD");
	else
		ReloadUI();
	end
end

SLASH_DISBAND1 = "/disband"
SlashCmdList["DISBAND"] = function(msg, editBox)
	for i=0, GetNumRaidMembers(), 1 do 
		name, rank,_,_,_,_,_,_,_, role, isML = GetRaidRosterInfo(i); -- 2=RL, 1=Assist, 0=raider
		if(name~=UnitName("player")) then UninviteUnit(name); end
	end
end

SLASH_LGOHB1 = "/breaktime"
SlashCmdList["LGOHB"] = function(msg, editBox)
local Time=msg;
	if(Time=="") then  Time=10; end
	if(IsAddOnLoaded("DBM-Core")) then
		SendChatMessage(string.gsub(BreaktimeString, "TIME", Time), "RAID")
		DBM:CreatePizzaTimer(60*Time, "Breaktime", 1, "the Officers")
	else
		Elgoh_Print("Timers require Deadly Boss Mods");
	end
end

function Elgoh_Print(message)
	message="|cff66ff33Elgoh:|r "..message;
	print(message);
end