ElgohLootButton={};
local height=_G["LootButton1"]:GetHeight();
for i=1, 4 do
	local name="ElgohLootButton"..i.."MS";
	ElgohLootButton[i]=CreateFrame("Button",name,UIParent,"UIPanelButtonTemplate")
	ElgohLootButton[i]:SetWidth(height)
	ElgohLootButton[i]:SetHeight(height)
	local button=_G["LootButton"..i];
	ElgohLootButton[i]:SetPoint("TOP", button, "TOP", 0, 0);
	ElgohLootButton[i]:SetPoint("LEFT", _G["LootFrame"], "RIGHT", -65, 0);
	ElgohLootButton[i]:SetScript("OnClick", function(self) Elgoh_LootButton(self); end);
	
	local name="ElgohLootButton"..i.."OS";
	ElgohLootButton[i+4]=CreateFrame("Button",name,UIParent,"UIPanelButtonTemplate")
	ElgohLootButton[i+4]:SetWidth(height)
	ElgohLootButton[i+4]:SetHeight(height)
	ElgohLootButton[i+4]:SetPoint("TOP", button, "TOP", 0, 0);
	ElgohLootButton[i+4]:SetPoint("LEFT", _G["ElgohLootButton"..i.."MS"], "RIGHT", 5, 0);
	ElgohLootButton[i+4]:SetScript("OnClick", function(self) Elgoh_LootButton(self); end);
	
	ElgohLootButton[i]:SetText("MS");
	ElgohLootButton[i+4]:SetText("OS");
	
	ElgohLootButton[i]:Hide();
	ElgohLootButton[i+4]:Hide();
end

function Elgoh_LootButton(self)
	local item=string.sub(self:GetName(), 16,16);
	local spec=string.sub(self:GetName(), 17,18);
	if(ElgohDebug==1) then Elgoh_Print("Item "..item..": Roll for "..spec); end
	local itemLink=GetLootSlotLink(item);
	local message;
	if(spec=="MS") then
		message=string.gsub(ElgohMainspec, "ITEM", itemLink)
	elseif(spec=="OS") then
		message=string.gsub(ElgohOffspec, "ITEM", itemLink)
	end
	SendChatMessage(message, "RAID_WARNING");
end

function Elgoh_LootShow()
	for i=1,4 do
		local _,lootName,_,rarity,_ = GetLootSlotInfo(i);
		if(rarity~=nil and (rarity==4 or ElgohDebug==1)) then 
			ElgohLootButton[i]:Show();
			ElgohLootButton[i+4]:Show();
		else
			ElgohLootButton[i]:Hide();
			ElgohLootButton[i+4]:Hide();
		end
	end			
end